
#ifndef PRINTF_H
#define PRINTF_H
#ifdef __cplusplus
extern "C" {
#endif

//===========================================================================
typedef char* va_list;

//===========================================================================
#define	TRACEOUT	_Printf

//===========================================================================

EWRAM_CODE void  _Puts(char* str);
EWRAM_CODE void  _Putc(char c);
EWRAM_CODE int   _Printf(char* format, ...);
EWRAM_CODE int   _Sprintf(char* buf, char* format, ...);

EWRAM_CODE int   _DoPrnt(char* buf, char* fmt, va_list ap);
EWRAM_CODE char* _O_print(va_list* ap, int flags, char* s, char c, int precision, int is_signed);
EWRAM_CODE char* _Gnum(char* f, int* ip, va_list* app);
EWRAM_CODE char* _I_compute(unsigned long val, int base, char* s, int nrdigits);


#ifdef __cplusplus
}
#endif
#endif

